### Enumeration

# Camel TimeUnit

since: 3.24

#### Declaration

    enum Camel.TimeUnit

#### Description [src]

Declares time unit, which serves to interpret the time value, like in `CamelOfflineSettings`.

Available since: 3.24

#### Members

`CAMEL_TIME_UNIT_DAYS`

  Days.

  - Value: `1`
  - Available since: 3.24
`CAMEL_TIME_UNIT_WEEKS`

  Weeks.

  - Value: `2`
  - Available since: 3.24
`CAMEL_TIME_UNIT_MONTHS`

  Months.

  - Value: `3`
  - Available since: 3.24
`CAMEL_TIME_UNIT_YEARS`

  Years.

  - Value: `4`
  - Available since: 3.24